<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- This file is generated by util/keylist.sh. DO NOT EDIT. -->
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
	<title> Key to action bindings </title>
<!--AUTO head begin-->
<link rel="icon" href="http://repo.hu/projects/pcb-rnd/resources/logo16.png">
<!--AUTO head end-->
</head>
<body>
<h1> Key to action bindings </h1>
<table border=1 cellspacing=0>
<tr><th> key <th> action <th> source
<tr bgcolor="#DDFFFF">
	<th align=left>+ <td>
&nbsp;
<I>Zoom In 20%</I><br>Zoom(-1.2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>, <td>
&nbsp;
<I>Cycle object being dragged</I><br>CycleDrag() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>- <td>
&nbsp;
<I>Zoom Out 20%</I><br>Zoom(+1.2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>. <td>
&nbsp;
<I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>/ <td>
&nbsp;
<I>Cycle line clip/refraction</I><br>Display(CycleClip) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>0 <td>
&nbsp;
<I>Select Layer 10</I><br>SelectLayer(10) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>0-alt <td>
&nbsp;
<I>Select Layer 20</I><br>SelectLayer(20) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>0-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 20</I><br>ToggleView(20) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>0-ctrl <td>
&nbsp;
<I>Toggle Layer 10</I><br>ToggleView(10) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>1 <td>
&nbsp;
<I>Select Layer 1</I><br>SelectLayer(1) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>1-alt <td>
&nbsp;
<I>Select Layer 11</I><br>SelectLayer(11) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>1-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 11</I><br>ToggleView(11) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>1-ctrl <td>
&nbsp;
<I>Toggle Layer 1</I><br>ToggleView(1) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>2 <td>
&nbsp;
<I>Select Layer 2</I><br>SelectLayer(2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>2-alt <td>
&nbsp;
<I>Select Layer 12</I><br>SelectLayer(12) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>2-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 12</I><br>ToggleView(12) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>2-ctrl <td>
&nbsp;
<I>Toggle Layer 2</I><br>ToggleView(2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>3 <td>
&nbsp;
<I>Select Layer 3</I><br>SelectLayer(3) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>3-alt <td>
&nbsp;
<I>Select Layer 13</I><br>SelectLayer(13) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>3-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 13</I><br>ToggleView(13) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>3-ctrl <td>
&nbsp;
<I>Toggle Layer 3</I><br>ToggleView(3) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>4 <td>
&nbsp;
<I>Select Layer 4</I><br>SelectLayer(4) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>4-alt <td>
&nbsp;
<I>Select Layer 14</I><br>SelectLayer(14) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>4-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 14</I><br>ToggleView(14) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>4-ctrl <td>
&nbsp;
<I>Toggle Layer 4</I><br>ToggleView(4) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>5 <td>
&nbsp;
<I>Select Layer 5</I><br>SelectLayer(5) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>5-alt <td>
&nbsp;
<I>Select Layer 15</I><br>SelectLayer(15) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>5-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 15</I><br>ToggleView(15) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>5-ctrl <td>
&nbsp;
<I>Toggle Layer 5</I><br>ToggleView(5) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>6 <td>
&nbsp;
<I>Select Layer 6</I><br>SelectLayer(6) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>6-alt <td>
&nbsp;
<I>Select Layer 16</I><br>SelectLayer(16) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>6-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 16</I><br>ToggleView(16) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>6-ctrl <td>
&nbsp;
<I>Toggle Layer 6</I><br>ToggleView(6) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>7 <td>
&nbsp;
<I>Select Layer 7</I><br>SelectLayer(7) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>7-alt <td>
&nbsp;
<I>Select Layer 17</I><br>SelectLayer(17) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>7-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 17</I><br>ToggleView(17) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>7-ctrl <td>
&nbsp;
<I>Toggle Layer 7</I><br>ToggleView(7) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>8 <td>
&nbsp;
<I>Select Layer 8</I><br>SelectLayer(8) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>8-alt <td>
&nbsp;
<I>Select Layer 18</I><br>SelectLayer(18) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>8-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 18</I><br>ToggleView(18) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>8-ctrl <td>
&nbsp;
<I>Toggle Layer 8</I><br>ToggleView(8) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>9 <td>
&nbsp;
<I>Select Layer 9</I><br>SelectLayer(9) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>9-alt <td>
&nbsp;
<I>Select Layer 19</I><br>SelectLayer(19) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>9-alt-ctrl <td>
&nbsp;
<I>Toggle Layer 19</I><br>ToggleView(19) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>9-ctrl <td>
&nbsp;
<I>Toggle Layer 9</I><br>ToggleView(9) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>: <td>
&nbsp;
<I>Command Entry</I><br>Command() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>[ <td>
&nbsp;
<I>Previous grid</I><br>Grid(down) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>\ <td>
&nbsp;
<I>Full screen</I><br>fullscreen(toggle) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>] <td>
&nbsp;
<I>Next grid</I><br>Grid(up) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;a <td>
&nbsp;
<I>Start routing an arc</I><br>Tool(Save); Tool(arc); Tool(Press)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;f<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Replace footprint</I><br>ReplaceFootprint() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Swap nets on two selected pins</I><br>net(swap) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;x <td>
&nbsp;
<I>netlist patch for back annotation</I><br>SavePatch() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;d<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Disperse all subcircuits</I><br>DisperseElements(All) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;d<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Disperse selected subcircuits</I><br>DisperseElements(Selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;l <td>
&nbsp;
<I>Start routing a line</I><br>Tool(Save); Tool(line); Tool(Press)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;m <td>
&nbsp;
<I>Place mark</I><br>MarkCrosshair() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Auto-Optimize</I><br>djopt(auto) 
<td> djopt-menu.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;d<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Debumpify</I><br>djopt(debumpify) 
<td> djopt-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;m<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Miter</I><br>djopt(miter) 
<td> djopt-menu.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;n<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Vianudge</I><br>djopt(vianudge) 
<td> djopt-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Ortho pull</I><br>djopt(orthopull) 
<td> djopt-menu.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
<I>Puller</I><br>Puller() 
&nbsp;
<td> puller-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Simple optimization</I><br>djopt(simple) 
<td> djopt-menu.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;t<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Viatrim</I><br>djopt(viatrim) 
<td> djopt-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;u<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<I>Unjaggy</I><br>djopt(unjaggy) 
<td> djopt-menu.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;p<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Auto-place selected subcircuits</I><br>AutoPlaceSelected() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Auto-route all rats</I><br>AutoRoute(AllRats) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;r<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Rip up all auto-routed tracks</I><br>RipUp(All) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Auto-route selected rats</I><br>AutoRoute(SelectedRats) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;t<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Rip up selected auto-routed tracks</I><br>RipUp(Selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;v <td>
&nbsp;
<I>Place via</I><br>Tool(Save); Tool(via); Tool(Press); Tool(Restore)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;w <td>
&nbsp;
<I>Place mark</I><br>MarkCrosshair() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;x<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Design Rule Checker</I><br>DRC() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;1<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select Buffer #1</I><br>PasteBuffer(1)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;2<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select Buffer #2</I><br>PasteBuffer(2)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;3<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select Buffer #3</I><br>PasteBuffer(3)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;4<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select Buffer #4</I><br>PasteBuffer(4)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;5<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select scratchpad</I><br>PasteBuffer(5)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;b<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Layer bindings...</I><br>LayerBinding(buffer) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Clear buffer</I><br>PasteBuffer(Clear) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;e <td>
&nbsp;
<I>Convert buffer to extended object...</I><br>ExtobjConvFrom(buffer, @gui); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Convert buffer to padstack</I><br>PadstackConvert(buffer); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Convert buffer to subcircuit</I><br>PasteBuffer(ConvertSubc) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;f<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Load buffer content from file</I><br>PasteBuffer(Clear); PasteBuffer(LoadAll)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;f<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Save buffer content to file</I><br>PasteBuffer(SaveAll) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;m<br>&nbsp;&nbsp;l <td>
&nbsp;
<I>Mirror buffer (left/right)</I><br>Tool(buffer); PasteBuffer(Rotate,1); PasteBuffer(Mirror); PasteBuffer(Rotate,3)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;m<br>&nbsp;&nbsp;u <td>
&nbsp;
<I>Mirror buffer (up/down)</I><br>Tool(buffer); PasteBuffer(Mirror)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;n <td>
&nbsp;
<I>Normalize</I><br>Tool(buffer); PasteBuffer(Rotate,1); PasteBuffer(Normalize)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;a <td>
&nbsp;
<I>Arbitrarily Rotate Buffer</I><br>Tool(buffer); FreeRotateBuffer()
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;l <td>
&nbsp;
<I>Rotate buffer 90 deg CCW (left)</I><br>Tool(buffer); PasteBuffer(Rotate,1)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>Rotate buffer 90 deg CW (right)</I><br>Tool(buffer); PasteBuffer(Rotate,3)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;b <td>
&nbsp;
<I>Break buffer subcircuits to pieces</I><br>PasteBuffer(Restore) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;d <td>
&nbsp;
<I>in multiple footprint files</I><br>SaveLib(dir, buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;f <td>
&nbsp;
<I>in a single lib file</I><br>SaveLib(file, buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Break buffer padstacks to pieces</I><br>PadstackBreakup(buffer) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;p-shift <td>
&nbsp;
<I>Save buffer padstack to file</I><br>PadstackSave(Buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Save buffer subcircuit to file</I><br>Save(PasteBuffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>c-ctrl<br>&nbsp; <td>
&nbsp;
<I>Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Unselect(All); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;c<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Clear/reset lookup</I><br>Connection(Reset); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;d<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Del/Remove Connected</I><br>Atomic(Save); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Restore); Connection(Find); Atomic(Restore); Select(Connection); Atomic(Restore); RemoveSelected(); Atomic(Restore); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Block)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;e<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Erase rats nest</I><br>DeleteRats(AllRats) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;f<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Find Connections</I><br>Connection(Reset); Connection(Find)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;r-shift<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Optimize rats nest - autorouter</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats, manhattan); Atomic(Close)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;r<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Optimize rats nest</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats); Atomic(Close)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;s<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Select shortest rat</I><br>AddRats(Close) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>delete <td>
&nbsp;
<I>Remove object</I><br>Tool(Save); Tool(remove); Tool(Press); Tool(Restore)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>down <td>
&nbsp;
<I>Step Down</I><br>Cursor(Warp,0,1,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>down-ctrl <td>
&nbsp;
<I>Scroll Down</I><br>Scroll(down) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>down-shift <td>
&nbsp;
<I>Step +Down</I><br>Cursor(Pan,0,50,view) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;a<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Apply Pen to object</I><br>ApplyPen() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;c <td>
&nbsp;
<I>Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Unselect(All); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;d <td>
&nbsp;
<I>Remove object</I><br>Tool(Save); Tool(remove); Tool(Press); Tool(Restore)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;f <td>
&nbsp;
<I>Object flags...</I><br>FlagEdit() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>Clearance +2 mil</I><br>ChangeClearSize(Object,+2,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;c-shift <td>
&nbsp;
<I>Clearance -2 mil</I><br>ChangeClearSize(Object,-2,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;d <td>
&nbsp;
<I>ChangeDrill +5 mil</I><br>ChangeDrillSize(Object,+5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;d-shift <td>
&nbsp;
<I>ChangeDrill -5 mil</I><br>ChangeDrillSize(Object,-5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;g <td>
&nbsp;
<I>Edit padstack geometry/prototype</I><br>padstackedit 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>ChangeSize +5 mil</I><br>ChangeSize(Object,+5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;s-shift <td>
&nbsp;
<I>ChangeSize -5 mil</I><br>ChangeSize(Object,-5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;y <td>
&nbsp;
<I>ChangeSizes to Route style</I><br>ChangeSizes(Object,style,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;i <td>
&nbsp;
<I>Flip Object</I><br>Flip(Object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;j <td>
&nbsp;
<I>ChangeJoin Object</I><br>ChangeJoin(Object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;l <td>
&nbsp;
<I>Move to current layer</I><br>MoveToCurrentLayer(Object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;o <td>
&nbsp;
<I>Change font...</I><br>FontSel(Object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;p <td>
&nbsp;
<I>Object Properties...</I><br>PropEdit(selection) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;r <td>
&nbsp;
<I>Change refdes</I><br>ChangeName(Refdes) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;b <td>
&nbsp;
<I>Layer bindings...</I><br>LayerBinding() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;e <td>
&nbsp;
<I>External editor...</I><br>GetXY(Click on the subcircuit to edit); extedit(object)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>Refdes</I><br>ChangeName(Subc) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Set Same Style</I><br>SetSame() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;x <td>
&nbsp;
<I>Convert to extended object...</I><br>ExtobjConvFrom(Object, @gui) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;t <td>
&nbsp;
<I>Edit text or terminal ID...</I><br>ChangeName(Object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;v <td>
&nbsp;
<I>Paste buffer to layout</I><br>Tool(buffer) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;x <td>
&nbsp;
<I>Cut selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(MoveSelected); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;y<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Cycle object being dragged</I><br>CycleDrag() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>enter <td>
&nbsp;
<I>Click (left)</I><br>Tool(Press); Tool(Release)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>escape <td>
&nbsp;
<I>Cancel</I><br>Tool(Escape) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f1 <td>
&nbsp;
<I>Via</I><br>Tool(via)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f10 <td>
&nbsp;
<I>Thermal</I><br>Tool(thermal)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f11 <td>
&nbsp;
<I>Arrow</I><br>Tool(arrow)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f12 <td>
&nbsp;
<I>Lock</I><br>Tool(lock)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f2 <td>
&nbsp;
<I>Line</I><br>Tool(line)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f3 <td>
&nbsp;
<I>Arc</I><br>Tool(arc)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f4 <td>
&nbsp;
<I>Text</I><br>Tool(text)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f5 <td>
&nbsp;
<I>Rectangle</I><br>Tool(rectangle)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f6 <td>
&nbsp;
<I>Polygon</I><br>Tool(poly)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f7 <td>
&nbsp;
<I>Buffer</I><br>Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f7-shift <td>
&nbsp;
<I>Rotate buffer 90 deg CCW (left)</I><br>Tool(buffer); PasteBuffer(Rotate,1)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f8 <td>
&nbsp;
<I>Del/Remove</I><br>Tool(remove)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f9 <td>
&nbsp;
<I>Rotate</I><br>Tool(rotate)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;a <td>
&nbsp;
<I>Save Layout As...</I><br>Save(LayoutAs)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;c <td>
&nbsp;
<I>Export with CAM job...</I><br>cam()
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;e <td>
&nbsp;
<I>Export layout...</I><br>ExportGUI()
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;l <td>
&nbsp;
<I>Load layout...</I><br>Load(Layout)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;n <td>
&nbsp;
<I>Start New Layout</I><br>New() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;o <td>
&nbsp;
<I>Load layout...</I><br>Load(Layout)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;p <td>
&nbsp;
<I>Print layout...</I><br>Print()
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;q <td>
&nbsp;
<I>Quit Program</I><br>Quit() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;r <td>
&nbsp;
<I>Revert</I><br>Load(Revert,none)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;s <td>
&nbsp;
<I>Save Layout</I><br>Save(Layout)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;x<br>&nbsp;&nbsp;o <td>
&nbsp;
&nbsp;
<I>Order PCB</I><br>OrderPCB(gui)
&nbsp;
&nbsp;
<td> order-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;x<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>netlist patch for back annotation</I><br>SavePatch() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;b <td>
&nbsp;
<I>Previous grid</I><br>Grid(down) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;c <td>
&nbsp;
<I>Custom grid</I><br>Grid(ask) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;d <td>
&nbsp;
<I>Grid *2</I><br>SetGrid(*2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;f <td>
&nbsp;
<I>Next grid</I><br>Grid(up) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;h <td>
&nbsp;
<I>Grid /2</I><br>SetGrid(/2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;i <td>
&nbsp;
<I>mil</I><br>SetUnits(mil)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;l <td>
&nbsp;
<I>Enable local grid</I><br>conf(toggle, plugins/hid_gtk/local_grid/enable, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;m <td>
&nbsp;
<I>mm</I><br>SetUnits(mm)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;r <td>
&nbsp;
<I>Realign grid</I><br> Display(RealignGrid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;v <td>
&nbsp;
<I>Enable visible grid</I><br>conf(toggle, editor/draw_grid, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;a <td>
&nbsp;
<I>About...</I><br>About() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;i <td>
&nbsp;
<I>Data integrity check</I><br>Integrity() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Preferences...</I><br>preferences
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>Re-scan the footprint library</I><br>fp_rehash() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;d <td>
&nbsp;
<I>Generate drill summary</I><br>Report(DrillReport) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;f <td>
&nbsp;
<I>Report found padstacks</I><br>Report(FoundPins) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;r <td>
&nbsp;
<I>Generate object report</I><br>ReportObject() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>insert <td>
&nbsp;
<I>Insert Point</I><br>Tool(insert)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>j<br>&nbsp;h <td>
&nbsp;
<I>Scroll Left</I><br>Scroll(left) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>j<br>&nbsp;j <td>
&nbsp;
<I>Scroll Down</I><br>Scroll(down) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>j<br>&nbsp;k <td>
&nbsp;
<I>Scroll Up</I><br>Scroll(up) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>j<br>&nbsp;l <td>
&nbsp;
<I>Scroll Right</I><br>Scroll(right) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;h <td>
&nbsp;
<I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;j <td>
&nbsp;
<I>Step Down</I><br>Cursor(Warp,0,1,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;k <td>
&nbsp;
<I>Step Up</I><br>Cursor(Warp,0,-1,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;l <td>
&nbsp;
<I>Step Right</I><br>Cursor(Warp,1,0,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;r <td>
&nbsp;
<I>Click (right)</I><br>Tool(Release); Popup(popup-obj, obj-type)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;space <td>
&nbsp;
<I>Click (left)</I><br>Tool(Press); Tool(Release)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>l<br>&nbsp;h<br>&nbsp;&nbsp; <td>
&nbsp;
<I>all layers off</I><br>ToggleView(all, vis, clear) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>l<br>&nbsp;k <td>
&nbsp;
<I>Select previous layer</I><br>LayerByStack(Select, Prev)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>l<br>&nbsp;l <td>
&nbsp;
<I>Select next layer</I><br>LayerByStack(Select, Next)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>l<br>&nbsp;v<br>&nbsp;&nbsp; <td>
&nbsp;
<I>all layers on</I><br>ToggleView(all, vis, set) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>left <td>
&nbsp;
<I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>left-ctrl <td>
&nbsp;
<I>Scroll Left</I><br>Scroll(left) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>left-shift <td>
&nbsp;
<I>Step +Left</I><br>Cursor(Pan,-50,0,view) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>Crosshair shows style/object clearance</I><br>conf(toggle, editor/show_drc, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;o <td>
&nbsp;
<I>Orthogonal moves</I><br>conf(toggle, editor/orthogonal_moves, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Crosshair snaps to padstacks</I><br>conf(toggle, editor/snap_pin, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Crosshair snaps to off-grid points on lines</I><br>conf(toggle, editor/snap_offgrid_line, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;a <td>
&nbsp;
<I>Show autorouter trials</I><br>conf(toggle, editor/live_routing, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>Check polygons</I><br>conf(toggle, editor/check_planes, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;d <td>
&nbsp;
<I>poly as-drawn frame annotation</I><br>conf(toggle, editor/as_drawn_poly, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;e <td>
<I>Indicate edit points on hover</I><br>conf(toggle, plugins/ch_editpoint/enable, design) 
&nbsp;
&nbsp;
&nbsp;
&nbsp;
<td> ch_editpoint-menu.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;h <td>
&nbsp;
<I>Highlighting on line, arc points</I><br>conf(toggle, editor/highlight_on_point, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;o <td>
&nbsp;
<I>Object list popup</I><br>conf(toggle, editor/click_objlist, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Thin draw poly</I><br>conf(toggle, editor/thin_draw_poly, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>Reset</I><br>
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;t <td>
&nbsp;
<I>Thin draw</I><br>conf(toggle, editor/thin_draw, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;w <td>
&nbsp;
<I>Wireframe draw</I><br>conf(toggle, editor/wireframe_draw, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;h <td>
&nbsp;
<I>Hide floaters</I><br>conf(toggle, editor/hide_names, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;l <td>
&nbsp;
<I>Lock floaters</I><br>display(togglelocknames) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;o <td>
&nbsp;
<I>Only floaters</I><br>display(toggleonlynames) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;k<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Loose subcircuits (no subc lock)</I><br>subc(loose, toggle)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;+ <td>
&nbsp;
<I>Line Tool size +5 mil</I><br>SetValue(LineSize,+5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;- <td>
&nbsp;
<I>Line Tool size -5 mil</I><br>SetValue(LineSize,-5,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;a <td>
&nbsp;
<I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>New lines, arcs clear polygons</I><br>conf(toggle, editor/clear_line, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;d <td>
&nbsp;
<I>Auto enforce style clearance</I><br>conf(toggle, editor/auto_drc, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;f <td>
&nbsp;
<I>Cycle line clip/refraction</I><br>Display(CycleClip) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;m <td>
&nbsp;
<I>Automatic trace merging</I><br>conf(toggle, editor/trace_auto_merge, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;o<br>&nbsp;&nbsp;b <td>
&nbsp;
<I>black current group</I><br>conf(toggle, appearance/black_current_group, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;o<br>&nbsp;&nbsp;i <td>
&nbsp;
<I>Invisible-color on other groups</I><br>conf(toggle, appearance/invis_other_groups, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>New polygons clear polygons</I><br>conf(toggle, editor/clear_polypoly, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;f <td>
&nbsp;
<I>New polygons are full ones</I><br>conf(toggle, editor/full_poly, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;i <td>
&nbsp;
<I>Polygon clip inhibit (toggle)</I><br>ClipInhibit(toggle)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;r<br>&nbsp;&nbsp;m <td>
&nbsp;
<I>Rubber band keeps middle line dir</I><br>conf(toggle, editor/rubber_band_keep_midlinedir, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;r<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>Rubber band mode</I><br>conf(toggle, editor/rubber_band_mode, design) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;t<br>&nbsp;&nbsp;+ <td>
&nbsp;
<I>Text Tool scale +10 mil</I><br>SetValue(TextScale,+10,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;t<br>&nbsp;&nbsp;- <td>
&nbsp;
<I>Text Tool scale -10 mil</I><br>SetValue(TextScale,-10,mil) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>n-ctrl <td>
&nbsp;
<I>Start New Layout</I><br>New() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;f<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>claim net on found</I><br>ClaimNet(found) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>claim net by object</I><br>ClaimNet(object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>claim net on selected</I><br>ClaimNet(selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;k<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Visual length, clear</I><br>NetLength(clear) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Netlist dialog, refresh lengths</I><br>NetlistDialog(); NetlistDialog(RefreshNetLens)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Visual length, from object</I><br>NetLength(object) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>p<br>&nbsp;m<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Manage plugins...</I><br>ManagePlugins() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>p<br>&nbsp;m<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Manage scripts...</I><br>BrowseScripts() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>p<br>&nbsp;p<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>Polygon Close</I><br>Polygon(Close) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>p<br>&nbsp;p<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Polygon PreviousPoint</I><br>Polygon(PreviousPoint) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>q-ctrl <td>
&nbsp;
<I>Quit Program</I><br>Quit() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;+ <td>
&nbsp;
<I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;- <td>
&nbsp;
<I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;m <td>
&nbsp;
<I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>right <td>
&nbsp;
<I>Step Right</I><br>Cursor(Warp,1,0,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>right-ctrl <td>
&nbsp;
<I>Scroll Right</I><br>Scroll(right) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>right-shift <td>
&nbsp;
<I>Step +Right</I><br>Cursor(Pan,50,0,view) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s-ctrl <td>
&nbsp;
<I>Save Layout</I><br>Save(Layout)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s-ctrl-shift <td>
&nbsp;
<I>Save Layout As...</I><br>Save(LayoutAs)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;a<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Select all visible objects</I><br>Select(All) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;a<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Select all found objects</I><br>Select(Connection)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;a<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Apply Pen</I><br>ApplyPen(selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;b<br>&nbsp;&nbsp;p <td>
&nbsp;
<I>Break selection padstack to pieces</I><br>PadstackBreakup(selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;b<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>Break selection subcircuits to pieces</I><br>PasteBuffer(Push); PasteBuffer(5); PasteBuffer(Clear); PasteBuffer(AddSelected); RemoveSelected(); PasteBuffer(Restore); PasteBuffer(ToLayout, crosshair); PasteBuffer(Clear); PasteBuffer(Pop)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;e<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Convert selection to extended object...</I><br>ExtobjConvFrom(Selected, @gui)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Convert selection to padstack</I><br>PadstackConvert(selected); Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Convert selection to subcircuit</I><br>Select(ConvertSubc) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;f<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Move selected subcircuits to other side</I><br>Flip(SelectedElements) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;i<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Invert selection</I><br>Select(Invert) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;k<br>&nbsp;&nbsp; <td>
&nbsp;
<I>List locked objects</I><br>query(view, "@.p.flag.lock == 1 && isvoid(@.subc)")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;l<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Move selected objects to current layer</I><br>MoveToCurrentLayer(Selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;p <td>
&nbsp;
<I>Edit properties</I><br>propedit(selection) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;r<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Remove selected objects</I><br>RemoveSelected() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;s<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Advanced search and select</I><br>SearchDialog() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;u<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Unselect all objects</I><br>Unselect(All) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;u<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp; <td>
&nbsp;
<I>Unselect all found objects</I><br>Unselect(Connection)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>space <td>
&nbsp;
<I>Arrow</I><br>Tool(arrow)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;a <td>
&nbsp;
<I>Arc</I><br>Tool(arc)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;b <td>
&nbsp;
<I>Buffer</I><br>Tool(buffer)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;c <td>
&nbsp;
<I>Copy</I><br>Tool(copy)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;d <td>
&nbsp;
<I>Del/Remove</I><br>Tool(remove)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;e <td>
&nbsp;
<I>Thermal</I><br>Tool(thermal)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;h <td>
&nbsp;
<I>Polygon Hole</I><br>Tool(polyhole)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;i <td>
&nbsp;
<I>Insert Point</I><br>Tool(insert)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;k <td>
&nbsp;
<I>Lock</I><br>Tool(lock)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;l <td>
&nbsp;
<I>Line</I><br>Tool(line)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;m <td>
&nbsp;
<I>Move</I><br>Tool(move)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;n <td>
&nbsp;
<I>Arrow</I><br>Tool(arrow)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;o <td>
&nbsp;
<I>Rotate</I><br>Tool(rotate)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;p <td>
&nbsp;
<I>Polygon</I><br>Tool(poly)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;r <td>
&nbsp;
<I>Rectangle</I><br>Tool(rectangle)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;t <td>
&nbsp;
<I>Text</I><br>Tool(text)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;v <td>
&nbsp;
<I>Via</I><br>Tool(via)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>tab <td>
&nbsp;
<I>Flip up/down</I><br>SwapSides(V) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>tab-ctrl <td>
&nbsp;
<I>Spin 180 degrees</I><br>SwapSides(R) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>tab-ctrl-shift <td>
&nbsp;
<I>Swap Sides</I><br>SwapSides() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>tab-shift <td>
&nbsp;
<I>Flip left/right</I><br>SwapSides(H) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>u<br>&nbsp;c <td>
&nbsp;
<I>Clear undo-buffer</I><br>Undo(ClearList) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>u<br>&nbsp;d<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Undo dialog (for debugging)</I><br>UndoDialog() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>u<br>&nbsp;r <td>
&nbsp;
<I>Redo last undone operation</I><br>Redo() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>u<br>&nbsp;u <td>
&nbsp;
<I>Undo last operation</I><br>Undo() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>up <td>
&nbsp;
<I>Step Up</I><br>Cursor(Warp,0,-1,grid) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>up-ctrl <td>
&nbsp;
<I>Scroll Up</I><br>Scroll(up) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>up-shift <td>
&nbsp;
<I>Step +Up</I><br>Cursor(Pan,0,-50,view) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;c <td>
&nbsp;
<I>Center cursor</I><br>Center() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;f <td>
&nbsp;
<I>Zoom Extents</I><br>Zoom() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;n <td>
&nbsp;
<I>Show padstack numbers in a subc</I><br>Display(PinOrPadName) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;r<br>&nbsp;&nbsp;g <td>
&nbsp;
<I>Reset GUI</I><br>
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;r<br>&nbsp;&nbsp;v <td>
&nbsp;
<I>Reset View</I><br>
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>user configured</I><br>Display(SubcID)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;f <td>
&nbsp;
<I>footprint</I><br>Display(SubcID,"%a.footprint%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;r <td>
&nbsp;
<I>refdes</I><br>Display(SubcID, "%a.refdes%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>refdes+value</I><br>Display(SubcID,"%a.refdes%\\n%a.value%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;v <td>
&nbsp;
<I>value</I><br>Display(SubcID,"%a.value%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;c <td>
&nbsp;
<I>user configured</I><br>Display(TermID)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;n <td>
&nbsp;
<I>name</I><br>Display(TermID, "%a.name%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;s <td>
&nbsp;
<I>term+name</I><br>Display(TermID, "%a.term%,%a.name%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;t <td>
&nbsp;
<I>term</I><br>Display(TermID, "%a.term%")
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;a <td>
&nbsp;
<I>About...</I><br>About() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;d <td>
&nbsp;
<I>DRC Check</I><br>DRC() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;f <td>
&nbsp;
<I>Font selector</I><br>FontSel() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;l <td>
&nbsp;
<I>Library</I><br>LibraryDialog() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;m <td>
&nbsp;
<I>Message Log</I><br>LogDialog() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;n <td>
&nbsp;
<I>Netlist</I><br>NetlistDialog() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;p <td>
&nbsp;
<I>Pinout</I><br>Display(Pinout) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>y-ctrl <td>
&nbsp;
<I>Redo last undone operation</I><br>Redo() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>z-ctrl <td>
&nbsp;
<I>Undo last operation</I><br>Undo() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;e<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Zoom Extents</I><br>Zoom() 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>z<br>&nbsp;f<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Zoom to found</I><br>ZoomTo(found) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;s<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Zoom to selection</I><br>ZoomTo(selected) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>z<br>&nbsp;x<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Zoom Out 20%</I><br>Zoom(+1.2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;z<br>&nbsp;&nbsp; <td>
&nbsp;
<I>Zoom In 20%</I><br>Zoom(-1.2) 
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
<tr bgcolor="#FFFFFF">
	<th align=left>| <td>
&nbsp;
<I>Wireframe draw</I><br>conf(toggle, editor/wireframe_draw, design); Display(Redraw)
&nbsp;
&nbsp;
&nbsp;
<td> menu-default.lht
</table>

</body></html>
